PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP AGGREGATE

## Name

DROP AGGREGATE -- remove an aggregate function

## Synopsis

    DROP AGGREGATE name ( type ) [ CASCADE | RESTRICT ]

## Description

`DROP AGGREGATE` will delete an existing aggregate function. To execute this command the current user must be the owner of the aggregate function.

## Parameters

name

  The name (optionally schema-qualified) of an existing aggregate function.

type

  The argument data type of the aggregate function, or * if the function accepts any data type.

CASCADE

  Automatically drop objects that depend on the aggregate function.

RESTRICT

  Refuse to drop the aggregate function if any objects depend on it. This is the default.

## Examples

To remove the aggregate function myavg for type `integer`:

    DROP AGGREGATE myavg(integer);

## Compatibility

There is no `DROP AGGREGATE` statement in the SQL standard.

## See Also

ALTER AGGREGATE, CREATE AGGREGATE

Prev | Home | Next
DELETE | Up | DROP CAST